Bug 834681 - Review Request: python-sieve - XML Comparison Utils
Review Request: python-sieve - XML Comparison Utils
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On: 834732
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 14:56 EDT by Ralph Bean
Modified: 2014-11-13 11:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-15 05:08:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-06-22 14:56:38 EDT
Spec URL: http://threebean.org/rpm/python-sieve.spec
SRPM URL: http://threebean.org/rpm/python-sieve-0.1.6-1.fc17.src.rpm
Description: XML Comparison Utils
Fedora Account System Username: ralph

rpmlint output:

--- ~/rpmbuild » rpmlint {SPECS,SRPMS}/python-sieve*
python-sieve.src: W: spelling-error %description -l en_US webapp -> web app, web-app, weapon
python-sieve.src: W: spelling-error %description -l en_US eq -> e, q, seq
python-sieve.src: W: spelling-error %description -l en_US xml -> XML, ml, x ml
python-sieve.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
1 packages and 1 specfiles checked; 0 errors, 4 warnings.
--- ~/rpmbuild » rpmlint /var/lib/mock/fedora-17-x86_64/result/*.rpm
python3-sieve.noarch: W: spelling-error %description -l en_US webapp -> web app, web-app, weapon
python3-sieve.noarch: W: spelling-error %description -l en_US eq -> e, q, seq
python3-sieve.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
python3-sieve.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
python-sieve.noarch: W: spelling-error %description -l en_US webapp -> web app, web-app, weapon
python-sieve.noarch: W: spelling-error %description -l en_US eq -> e, q, seq
python-sieve.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
python-sieve.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
python-sieve.src: W: spelling-error %description -l en_US webapp -> web app, web-app, weapon
python-sieve.src: W: spelling-error %description -l en_US eq -> e, q, seq
python-sieve.src: W: spelling-error %description -l en_US xml -> XML, ml, x ml
python-sieve.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
3 packages and 0 specfiles checked; 0 errors, 12 warnings.



koji f17 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4189062
koji el6 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4189060
Comment 1 Mario Blättermann 2012-09-22 12:32:25 EDT
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4513771

$ rpmlint -i -v *
python3-sieve.noarch: I: checking
python3-sieve.noarch: W: spelling-error %description -l en_US webapp -> web app, web-app, weapon
The value of this tag appears to be misspelled. Please double-check.

python3-sieve.noarch: W: spelling-error %description -l en_US eq -> e, q, seq
The value of this tag appears to be misspelled. Please double-check.

python3-sieve.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
The value of this tag appears to be misspelled. Please double-check.

python3-sieve.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

python3-sieve.noarch: I: checking-url http://pypi.python.org/pypi/sieve (timeout 10 seconds)
python-sieve.src: I: checking
python-sieve.src: W: spelling-error %description -l en_US webapp -> web app, web-app, weapon
The value of this tag appears to be misspelled. Please double-check.

python-sieve.src: W: spelling-error %description -l en_US eq -> e, q, seq
The value of this tag appears to be misspelled. Please double-check.

python-sieve.src: W: spelling-error %description -l en_US xml -> XML, ml, x ml
The value of this tag appears to be misspelled. Please double-check.

python-sieve.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

python-sieve.src: I: checking-url http://pypi.python.org/pypi/sieve (timeout 10 seconds)
python-sieve.src: I: checking-url http://pypi.python.org/packages/source/s/sieve/sieve-0.1.6.tar.gz (timeout 10 seconds)
python-sieve.noarch: I: checking
python-sieve.noarch: W: spelling-error %description -l en_US webapp -> web app, web-app, weapon
The value of this tag appears to be misspelled. Please double-check.

python-sieve.noarch: W: spelling-error %description -l en_US eq -> e, q, seq
The value of this tag appears to be misspelled. Please double-check.

python-sieve.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
The value of this tag appears to be misspelled. Please double-check.

python-sieve.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

python-sieve.noarch: I: checking-url http://pypi.python.org/pypi/sieve (timeout 10 seconds)
python-sieve.spec: I: checking-url http://pypi.python.org/packages/source/s/sieve/sieve-0.1.6.tar.gz (timeout 10 seconds)
3 packages and 1 specfiles checked; 0 errors, 12 warnings.

Some ignorable spelling errors.


One objection tough:
The source tarball contains a bundled egg-info. Please remove it before building your package (in the %prep section):

rm -rf %{modname}.egg-info

See https://fedoraproject.org/wiki/Packaging:Python_Eggs#Upstream_Eggs for more information.
Comment 2 Ralph Bean 2012-09-24 15:07:37 EDT
New release removes bundled egg-info in prep section.

Spec URL: http://threebean.org/rpm/python-sieve.spec
SRPM URL: http://threebean.org/rpm/python-sieve-0.1.6-3.fc17.src.rpm
Comment 3 Mario Blättermann 2012-09-25 13:52:48 EDT
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4525553

Build fails with the following error message:

running test
Checking .pth file support in .
/usr/bin/python3 -E -c pass
Searching for six
Reading http://pypi.python.org/simple/six/
Download error on http://pypi.python.org/simple/six/: [Errno -2] Name or service not known -- Some packages may not be found!
Reading http://pypi.python.org/simple/six/
Download error on http://pypi.python.org/simple/six/: [Errno -2] Name or service not known -- Some packages may not be found!
Couldn't find index page for 'six' (maybe misspelled?)
Scanning index of all packages (this may take a while)
Reading http://pypi.python.org/simple/
Download error on http://pypi.python.org/simple/: [Errno -2] Name or service not known -- Some packages may not be found!
No local packages or download links found for six
error: Could not find suitable distribution for Requirement.parse('six')

But when having a look at http://pypi.python.org/simple/, "six" is present:
http://pypi.python.org/simple/six/
Comment 4 Ralph Bean 2012-09-25 16:01:05 EDT
Hmm, odd.  koji has the network connection disabled for builds in order to stop setuptools from finding http://pypi.python.org/simple/six/

The package *should* be provided by the BuildRequires: python-six which succeeds for python2, but fails for python3.

Funny, when I first packaged this, the "python-six" package, due to its curious nature of serving as a bridge between python2 and python3, contained sourcecode for both the python2 and python3 versions of python-six.  Since I packaged this, the owner dmalcolm has split that package into python-six and python3-six.  I'll have to add back a buildrequires: python3-six which should fix this.

Doing some testing now.
Comment 6 Mario Blättermann 2012-09-26 13:56:43 EDT
$ rpmlint -i -v *
python3-sieve.noarch: I: checking
python3-sieve.noarch: W: spelling-error %description -l en_US webapp -> web app, web-app, weapon
The value of this tag appears to be misspelled. Please double-check.

python3-sieve.noarch: W: spelling-error %description -l en_US eq -> e, q, seq
The value of this tag appears to be misspelled. Please double-check.

python3-sieve.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
The value of this tag appears to be misspelled. Please double-check.

python3-sieve.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

python3-sieve.noarch: I: checking-url http://pypi.python.org/pypi/sieve (timeout 10 seconds)
python-sieve.src: I: checking
python-sieve.src: W: spelling-error %description -l en_US webapp -> web app, web-app, weapon
The value of this tag appears to be misspelled. Please double-check.

python-sieve.src: W: spelling-error %description -l en_US eq -> e, q, seq
The value of this tag appears to be misspelled. Please double-check.

python-sieve.src: W: spelling-error %description -l en_US xml -> XML, ml, x ml
The value of this tag appears to be misspelled. Please double-check.

python-sieve.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

python-sieve.src: I: checking-url http://pypi.python.org/pypi/sieve (timeout 10 seconds)
python-sieve.src: I: checking-url http://pypi.python.org/packages/source/s/sieve/sieve-0.1.6.tar.gz (timeout 10 seconds)
python-sieve.noarch: I: checking
python-sieve.noarch: W: spelling-error %description -l en_US webapp -> web app, web-app, weapon
The value of this tag appears to be misspelled. Please double-check.

python-sieve.noarch: W: spelling-error %description -l en_US eq -> e, q, seq
The value of this tag appears to be misspelled. Please double-check.

python-sieve.noarch: W: spelling-error %description -l en_US xml -> XML, ml, x ml
The value of this tag appears to be misspelled. Please double-check.

python-sieve.noarch: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

python-sieve.noarch: I: checking-url http://pypi.python.org/pypi/sieve (timeout 10 seconds)
python-sieve.spec: I: checking-url http://pypi.python.org/packages/source/s/sieve/sieve-0.1.6.tar.gz (timeout 10 seconds)
(none): E: no installed packages by name sieve-0.1.6.tar.gz.packaged
3 packages and 1 specfiles checked; 0 errors, 12 warnings.

No real issues anymore.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    MIT
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    bb840f52804617f683ff84ab02e71f4f25ef5f568d658d7637846bb5d238c068  sieve-0.1.6.tar.gz
    bb840f52804617f683ff84ab02e71f4f25ef5f568d658d7637846bb5d238c068  sieve-0.1.6.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 7 Ralph Bean 2012-09-27 09:37:25 EDT
New Package SCM Request
=======================
Package Name: python-sieve
Short Description: XML Comparison Utils
Owners: ralph
Branches: el6 f18 f17
InitialCC:
Comment 8 Gwyn Ciesla 2012-09-27 09:55:17 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2012-11-03 12:51:27 EDT
python-sieve-0.1.6-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-sieve-0.1.6-7.fc17
Comment 10 Fedora Update System 2012-11-03 13:08:01 EDT
python-sieve-0.1.6-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-sieve-0.1.6-7.fc18
Comment 11 Fedora Update System 2012-11-03 13:08:19 EDT
python-sieve-0.1.6-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-sieve-0.1.6-7.el6
Comment 12 Fedora Update System 2012-11-03 15:02:42 EDT
Package python-sieve-0.1.6-7.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-sieve-0.1.6-7.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13384/python-sieve-0.1.6-7.el6
then log in and leave karma (feedback).
Comment 13 Mario Blättermann 2012-11-15 05:08:43 EST
All packages are marked as stable now.
Comment 14 Fedora Update System 2012-11-28 12:39:26 EST
python-sieve-0.1.6-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Ralph Bean 2014-11-12 18:41:25 EST
Package Change Request
======================
Package Name: python-sieve
New Branches: epel7
Owners: ralph
InitialCC:
Comment 16 Gwyn Ciesla 2014-11-13 11:38:26 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.